Subject: RE: Re:FW: IPP> CUPS printer "is not ready" -- how to make it rea dy?

From: "McDonald, Ira" <[email-masked]>
Date: Mon, 22 Nov 2004 13:52:30 -0800

Hi Martin,

Please direct your questions to Michael Sweet (copied again above).
I don't know any about support for CUPS.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked] 
-----Original Message-----
From: Martin Schwarzkopf [mailto:[email-masked]]
Sent: Monday, November 22, 2004 12:58 PM
To: ipp; imcdonald
Subject: Re: Re:FW: IPP> CUPS printer "is not ready" -- how to make it
ready?
Importance: High

Thanks Ira,

All of them are parallel printers. The configuration
I have in both sides, server and client, is very simple.

Please tell me if you need to know anything else.

Regards and thanks in advance,

Martin.

/etc/cups/printers.conf (server side - extract):

<Printer sales1>
Info Epson FX-890
Location Rose Kellner (rkellner - IPP)
DeviceURI ipp://rkellner.neukont.com/printers/lp
State Idle
Accepting Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
</Printer>

/etc/cups/printers.conf (client side):

<DefaultPrinter sales1>
Info EPSON FX-890 (filtered)
Location Rose Kellner (rkellner)
DeviceURI parallel:/dev/lp0
State Idle
Accepting Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
</Printer>
<Printer lp>
Info EPSON FX-890 (raw)
Location Rose Kellner (rkellner)
DeviceURI parallel:/dev/lp0
State Idle
Accepting Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
</Printer>

De:"McDonald, Ira" [email-masked]

Para:"'Mike Sweet'" [email-masked],"McDonald, Ira"
[email-masked],"'Martin Schwarzkopf'" [email-masked]

Copia:

Fecha:Mon, 22 Nov 2004 08:49:50 -0800

Asunto:FW: IPP> CUPS printer "is not ready" -- how to make it ready?

> Hi Martin,
> 
> I'm forwarding your question directly to Michael Sweet 
> (principal author of CUPS), for his comments.
> 
> You might also want to visit the CUPS Support link:
> 
> http://www.cups.org/support.php
> 
> The IPP WG mailing list is really the wrong place for
> CUPS support questions.
> 
> Cheers,
> - Ira
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221 Grand Marais, MI 49839
> phone: +1-906-494-2434
> email: [email-masked]
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Martin
> Schwarzkopf
> Sent: Monday, November 22, 2004 2:28 AM
> To: ipp
> Subject: IPP> CUPS printer "is not ready" -- how to make it ready?
> Importance: High
> 
> 
> Perhaps this is a little long to explain but I need
> to do it this way so you can have a complete idea of
> my problem.
> 
> I am in charge of a 25 PC network at the place I work,
> 23 PCs have Linux installed as Operating System and
> 2 of them have Windows XP. The server is also a Linux
> box running an application made in Cobol. All the
> Linux boxes have SuSE Linux 9.1.
> 
> We have around a dozen matrix printers (Epson FX-890)
> connected to some linux stations and a laser printer
> (HP LaserJet 1300) connected to one of the windows PCs.
> 
> All the PCs connect to the Linux server through a ssh
> session.
> 
> At the Linux Server, all the printers (Linux and Windows)
> are declared as remote raw printers so that the users
> can print from the Cobol application.
> 
> This server application sends pure text to the remote
> printers. At the server, the remote queues are declared
> as with CUPS at the Linux PCs and with SMB at the
> windows one.
> 
> Each Linux workstation printer has 2 queues defined.
> One raw queue called "lp" to receive the jobs sent
> by the server and one filtered queue for the local
> printing (usually jobs from OpenOffice). This queue
> is usually named according to the labour of the user
> (sales5, credit2, control1, etc)
> 
> The laser printer connected to the Windows PC works
> fine. ALWAYS. The matrix printers work only perfectly
> when the user sends a local print job (OpenOffice,
> Mozilla, Gimp, etc). The problem is that when the
> server sends a raw print job to the remote queues,
> frecuently, the printer status turns to "Printer is
> not ready" without any reason. This happens more or
> less after 3 or 4 print jobs sent to same remote
> queue.
> 
> Sometimes the queue looks empty, and some others don't.
> The strange thing is that the user gets a complete and
> normally printed job, but when the printer turns to the
> "Printer is not ready" state, even when the report seems
> to be finished, sometimes it still appears in the queue.
> 
> The only way I found to solve this, was creating a
> script to modify the /etc/cups/printers.conf file
> to turn it to "Printer IS ready" and to restart the
> daemon. (CUPS 1.1). This script checks the queue
> every minute.
> 
> It doesnt matter if the jobs was still appearing in
> the queue, if the printer turned to the "is not ready"
> state, it will be printed again when I restart the
> daemon!!! So, if the user is printing numbered
> invoices or in a different kind of paper, they waste
> resources ans time.
> 
> If the report is quite long (3 or more minutes), the
> printer queue will turn again into the "not ready"
> state before it finishes and the cron daemon will
> restart the cups daemon and I that user will have
> 3 or more copies of the same report.
> 
> Can anybody lend me a hand? We were working with
> SuSE 8.0 before and this didn't happen. I have this
> problem since the upgrade to 9.1
> 
> I think that the "Job Persistence" feature of cups is, in
> part, cause of my problem. Do you know how to disable it?
> I will appreciate any help anyone can give to me.
> 
> Thanks a lot in advance,
> 
> Martin Schwarzkopf
> [email-masked]
> 
> 
> 
> 
> ___________________________________________________
> ¡Sobre autos lo sabemos todo, y te podemos ayudar!
> Ya sea para comprar, vender o comparar autos, entra en el canal de autos
de
> Terra.com
> Te aconsejamos, te informamos y te mostramos todo lo que necesitas saber.
> http://www.terra.com/autos

___________________________________________________
¡Sobre autos lo sabemos todo, y te podemos ayudar!
Ya sea para comprar, vender o comparar autos, entra en el canal de autos de
Terra.com
Te aconsejamos, te informamos y te mostramos todo lo que necesitas saber.
http://www.terra.com/autos